Get a Process Rule for an sObject

Gets the fields of a specific workflow rule for a specific sObject.

Cross-object workflow rules can’t be invoked using REST API.

URI: /services/data/vXX.X/process/rules/sObjectName/workflowRuleId

Available since release: 30.0

Formats: JSON, XML

HTTP methods: GET

Authentication: Authorization: Bearer token

Request parameters: None required

Example usage

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/process/rules/Account/01QD0000000APli -H "Authorization: Bearer token"

Example request body: None required

Example JSON response body

1{
2  "actions" : [ {
3    "id" : "01VD0000000D2w7",
4    "name" : "ApprovalProcessTask",
5    "type" : "Task"
6    } ],
7    "description" : null,
8    "id" : "01QD0000000APli",
9    "name" : "My Rule",
10    "namespacePrefix" : null,
11    "object" : "Account"
12}